import React, {CSSProperties, FC, ReactNode} from 'react';

import {Form} from 'react-bootstrap';

import './styledSwitch.scss'

interface Props {
    label?: string
    value: string
    name: string
    defaultChecked?: boolean
    disabled?: boolean
    children?: ReactNode
    style?: CSSProperties
    meta?: {}
    input: {
        onChange: () => void
    }
}

export const StyledSwitch: FC<Props> =
    ({
         input,
         meta,
         ...props
     }) =>

        <Form.Switch
            {...input}
            {...props}

        />
;
